%define module  Algorithm-Diff
%define name    perl-%{module}
%define version 1.1902
%define release %mkrel 1

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Compute `intelligent' differences between two files / lists
License:        GPL or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/Algorithm/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
Buildrequires:  perl-devel
%endif
Buildarch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
This module compute `intelligent' differences between two files / lists.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%check
%{__make} test

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc README Changes
%{perl_vendorlib}/Algorithm
%{_mandir}/*/*

%changelog
* Fri Aug 04 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.1902-1mdv2007.0
- New version 1.1902

* Fri Jun 09 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.1901-3mdv2007.0
- spec cleanup
- %%mkrel

* Tue Jun 07 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.1901-2mdk 
- make test in %%check
- don't ship empty directories

* Mon Apr 25 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.1901-1mdk 
- new release
- spec cleanup
- better url

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.15-3mdk
- fix buildrequires in a backward compatible way

* Wed Jul 21 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.15-2mdk 
- rpmbuildupdate aware

* Wed Jan 07 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.15-1mdk
- first mdk release
